Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_hash_keys

## Name

librdf_hash_keys -- Get the hash keys

## Synopsis

``librdf_iterator* `librdf_hash_keys`` (librdf_hash* `hash`, librdf_hash_datum * `key`);`

## Arguments

`hash`

  hash object

`key`

  pointer to key

## Description

The iterator returns librdf_hash_datum objects containingvalue returned is from newly allocated memory which the caller must free.

## Return value

librdf_iterator serialisation of keys or NULL on failure

<<< Previous | Home | Next >>>
librdf_hash_delete_all | Up | librdf_hash_sync